plot-methods {Rtreemix} | R Documentation

## Method for visualizing mutagenetic trees mixture models

### Description

Function for visualizing the tree components comprising a mutagenetic trees mixture model. The user can also specify the `fontSize` used for the text labels of the nodes and the edges of the plotted trees. Additionally, one can use the parameter `k` to plot a certain tree component from the mixture model.

### Usage

    ## S4 method for signature 'RtreemixModel, missing':
    plot(x, y, ...)

### Arguments

`x` | An `RtreemixModel` object giving the mixture model that should be visualized.
`y` | Not specified.
`...` | `fontSize` is the size of the text labels of the nodes and the edges of the tree components. The default value is 8. `k` is a `numeric` giving the specific tree component from the given mixture model that should be plotted. Its value can be from one to the number of tree components in the given model.

### Details

The value of `k` (that gives the tree component to be plotted) can take `"integer"` values from one to the number of tree components.

### Value

The method returns a plot of the mixture model model.

### Author(s)

Jasmina Bogojeska

### References

Learning multiple evolutionary pathways from cross-sectional data, N. Beerenwinkel et al.

### See Also

`RtreemixData-class`, `RtreemixModel-class`, `generate-methods`

### Examples

    ## Generate a random RtreemixModel object.
    rand.mod <- generate(K = 2, no.events = 7, noise.tree = TRUE, prob = c(0.2, 0.8))

    ## Visualize it.
    plot(rand.mod)

    ## Increase the font size of the text labels in the plot.
    plot(rand.mod, fontSize = 10)

    ## Plot the second component of the mixture model rand.mod
    plot(rand.mod, k = 2)

[Package Rtreemix version 1.4.0 Index]